#ifndef SCENETILE_HPP_INCLUDED
#define SCENETILE_HPP_INCLUDED

#include "Node.hpp"
#include "../JavaClass/Class.hpp"
#include "DecorativeModel.hpp"
#include <vector>
#include "GameModel.hpp"
#include "GroundModel.hpp"
#include <cstdint>
#include "WallModel.hpp"

class SceneTile : public Node
{
    public:
        SceneTile();
        SceneTile(const void* Obj);
        SceneTile(const SceneTile& G);
        static Class GetClass();

        DecorativeModel GetDecorativeModel() const;
        std::vector<GameModel> GetGameModels() const;
        GroundModel GetGroundModel() const;
        std::int32_t GetPlane() const;
        WallModel GetWallModel() const;
        std::int32_t GetX() const;
        std::int32_t GetY() const;

};

#endif // SCENETILE_HPP_INCLUDED
