#ifndef GROUNDMODEL_HPP_INCLUDED
#define GROUNDMODEL_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>
#include "Renderable.hpp"

class GroundModel : public Object
{
    public:
        GroundModel();
        GroundModel(const void* Obj);
        GroundModel(const GroundModel& G);
        static Class GetClass();

        std::int32_t GetHash() const;
        std::int32_t GetPlane() const;
        std::int32_t GetRenderInfo() const;
        Renderable GetRenderable() const;
        std::int32_t GetX() const;
        std::int32_t GetY() const;

};

#endif // GROUNDMODEL_HPP_INCLUDED
