#ifndef WALLMODEL_HPP_INCLUDED
#define WALLMODEL_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>
#include "Renderable.hpp"

class WallModel : public Object
{
    public:
        WallModel();
        WallModel(const void* Obj);
        WallModel(const WallModel& W);
        static Class GetClass();

        std::int32_t GetAngle() const;
        std::int32_t GetFlags() const;
        std::int32_t GetHash() const;
        std::int32_t GetHeight() const;
        std::int32_t GetPlane() const;
        Renderable GetRenderable() const;
        std::int32_t GetX() const;
        std::int32_t GetY() const;

};

#endif // WALLMODEL_HPP_INCLUDED
